Package org.springframework.security.access.expression.method

# Class ExpressionBasedPreInvocationAdvice

java.lang.Object
org.springframework.security.access.expression.method.ExpressionBasedPreInvocationAdvice

All Implemented Interfaces:
  `org.springframework.aop.framework.AopInfrastructureBean`, `PreInvocationAuthorizationAdvice`

@Deprecated public class ExpressionBasedPreInvocationAdvice extends Object implements PreInvocationAuthorizationAdvice
Deprecated.
Use `AuthorizationManagerAfterMethodInterceptor` instead
Method pre-invocation handling based on expressions.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`ExpressionBasedPreInvocationAdvice()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`before(Authentication authentication, org.aopalliance.intercept.MethodInvocation mi, PreInvocationAttribute attr)`
Deprecated.
The "before" advice which should be executed to perform any filtering necessary and to decide whether the method call is authorised.
`void`
`setExpressionHandler(MethodSecurityExpressionHandler expressionHandler)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpressionBasedPreInvocationAdvice

public ExpressionBasedPreInvocationAdvice()
Deprecated.

## Method Details

### before

public boolean before(Authentication authentication, org.aopalliance.intercept.MethodInvocation mi, PreInvocationAttribute attr)
Deprecated.
Description copied from interface: `PreInvocationAuthorizationAdvice`
The "before" advice which should be executed to perform any filtering necessary and to decide whether the method call is authorised.

Specified by:
  `before` in interface `PreInvocationAuthorizationAdvice`
Parameters:
  `authentication` - the information on the principal on whose account the decision should be made
  `mi` - the method invocation being attempted
  `attr` - the attribute built from the @PreFilter and @PostFilter annotations.
Returns:
  true if authorised, false otherwise

### setExpressionHandler

public void setExpressionHandler(MethodSecurityExpressionHandler expressionHandler)
Deprecated.